Arbor 3: FSM & BT Graph Editor 3.6.0

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRect Class Reference

参照方法が複数ある柔軟なRect型を扱うクラス。 More...

Inheritance diagram for FlexibleRect:

## Public Member Functions
| FlexibleRect ()
| FlexibleRectデフォルトコンストラクタ More...
| FlexibleRect (Rect value)
| FlexibleRectコンストラクタ More...
| FlexibleRect (RectParameterReference parameter)
| FlexibleRectコンストラクタ More...
| FlexibleRect (InputSlotRect slot)
| FlexibleRectコンストラクタ More...
Public Member Functions inherited from FlexibleField< Rect >
override object | GetValueObject ()
| 値をobjectで返す。 More...
| FlexibleField ()
| FlexibleFieldデフォルトコンストラクタ More...
| FlexibleField (T value)
| FlexibleFieldコンストラクタ More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleFieldコンストラクタ More...
| FlexibleField (InputSlotAny slot)
| FlexibleFieldコンストラクタ More...

## Static Public Member Functions
static | operator Rect (FlexibleRect flexible)
| FlexibleRectをRectにキャスト。 More...
static | operator FlexibleRect (Rect value)
| RectをFlexibleRectにキャスト。 More...
Static Public Member Functions inherited from FlexibleField< Rect >
static | operator T (FlexibleField< T > flexible)
| FlexibleFieldをTにキャスト。 More...
static | operator FlexibleField< T > (T value)
| TをFlexibleFieldにキャスト。 More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Rect >
T | _Value
| 固定値 More...
AnyParameterReference | _Parameter
| パラメータ参照 More...
InputSlotAny | _Slot
| データ入力スロット More...
Properties inherited from FlexibleField< Rect >
override System.Type | fieldType`[get]`
| フィールドの型を返す。 More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
T | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なRect型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleRect() [1/4]

FlexibleRect | ( |  | ) |

FlexibleRectデフォルトコンストラクタ

## ◆ FlexibleRect() [2/4]

FlexibleRect | ( | Rect | value | ) |

FlexibleRectコンストラクタ

Parameters

  value | 値

## ◆ FlexibleRect() [3/4]

FlexibleRect | ( | RectParameterReference | parameter | ) |

FlexibleRectコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleRect() [4/4]

FlexibleRect | ( | InputSlotRect | slot | ) |

FlexibleRectコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

## ◆ operator FlexibleRect()

static operator FlexibleRect | ( | Rect | value | ) |
| explicit static

RectをFlexibleRectにキャスト。

Parameters

  value | Rect

## ◆ operator Rect()

static operator Rect | ( | FlexibleRect | flexible | ) |
| explicit static

FlexibleRectをRectにキャスト。

Parameters

  flexible | FlexibleRect